-knxd (0.14-%BUILD%) unstable; urgency=medium
+projects (0.14-%BUILD%) unstable; urgency=medium
* knxd
-- Michael Wagner <michael@wagnertech.de> Thu, 11 Feb 2021 10:00:00 +0100
--- /dev/null
+Source: projects
+Section: main
+Priority: optional
+Maintainer: Koegler
+Build-Depends: git
+
+Package: eibd
+Architecture: _DEB_HOST_ARCH
+Description: eibd knx deamon
+
--- /dev/null
+#!/bin/bash
+set -e
+
+cd ../build/bcusdk-0.0.5
+make install
+
wget --no-check-certificate http://www.auto.tuwien.ac.at/~mkoegler/eib/bcusdk_0.0.5.tar.gz
tar xf bcusdk_0.0.5.tar.gz
+cp ~/projects/eibd/configure bcusdk-0.0.5/
pushd bcusdk-0.0.5
- ./configure --with-pth=../pthsem-2.0.8 --without-pth-test --enable-onlyeibd --enable-eibnetip --enable-eibnetiptunnel --enable-eibnetipserver --enable-tpuarts
+ ./configure --with-pth=subdir:$HOME/build/pthsem-2.0.8 --without-pth-test --enable-onlyeibd --enable-eibnetip --enable-eibnetiptunnel --enable-eibnetipserver --enable-tpuarts --prefix=$HOME/projects/debian/tmp/usr
popd >/dev/null
--- /dev/null
+#!/bin/bash
+set -e
+
+# override package version
+echo "version=0.0.5" >> debian/setenv.sh
+
if test ".$_pth_subdir" = .yes; then
_pth_location="$with_pth"
_pth_type='local'
+#mjm
_pth_cppflags="-I$with_pth"
_pth_cflags="-I$with_pth"
+# _pth_cppflags="-isystem$with_pth"
+# _pth_cflags="-isystem$with_pth"
if test -f "$with_pth/ltconfig"; then
_pth_ldflags="-L$with_pth/.libs"
else